liblscp 1.0.0

Data Fields
_lscp_socket_agent_t Struct Reference

`#include <socket.h>`

## Data Fields
lscp_socket_t | sock
struct sockaddr_in | addr
lscp_thread_t * | pThread
int | iState

## Field Documentation

## ◆ addr

struct sockaddr_in _lscp_socket_agent_t::addr

Referenced by lscp_socket_agent_init().

## ◆ iState

int _lscp_socket_agent_t::iState

Referenced by lscp_socket_agent_free(), lscp_socket_agent_init(), and lscp_socket_agent_start().

## ◆ pThread

lscp_thread_t* _lscp_socket_agent_t::pThread

Referenced by lscp_socket_agent_free(), lscp_socket_agent_init(), lscp_socket_agent_join(), and lscp_socket_agent_start().

## ◆ sock

lscp_socket_t _lscp_socket_agent_t::sock

Referenced by lscp_socket_agent_free(), and lscp_socket_agent_init().

The documentation for this struct was generated from the following file:

- socket.h